{
  "id": "a1-077-magikarp",
  "name": "Magikarp",
  "set_code": "a1",
  "set_name": "Genetic Apex",
  "card_number": 77,
  "rarity": "Common",
  "card_type": "pokemon",
  "image_url": "https://assets.pokemon-zone.com/game-assets/CardPreviews/cPK_10_000770_00_KOIKING_C.webp",
  "image_file": null,
  "source_url": "https://www.pokemon-zone.com/cards/a1/77/magikarp/",
  "hp": 30,
  "pokemon_type": "water",
  "stage": "basic",
  "evolves_from": null,
  "is_ex": false,
  "abilities": [],
  "attacks": [
    {
      "name": "Splash",
      "cost": [
        "colorless"
      ],
      "damage": 10,
      "damage_modifier": null,
      "effect_text": null,
      "effect_id": null
    }
  ],
  "weakness": {
    "type": "lightning",
    "value": 20
  },
  "resistance": null,
  "retreat_cost": 1,
  "flavor_text": null,
  "illustrator": "Sekio"
}